/*******************************************************************************
 * Copyright 2011 @ Kapil Viren Ahuja
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 ******************************************************************************/
package com.kapil.framework.concurrent;

/**
 * Interface for the <code>producer</code> which is responsible for placing the data into a {@link IBroker}
 * which will then be consumed by the {@link IConsumer}
 * 
 * @author Kapil Viren Ahuja
 *
 * @param <V>
 */
public interface IProducer<V> extends Runnable
{
    /**
     * Primary method that is executed when the Producer is executed.
     */
    void run();
}
